import javax.ejb.Stateful;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceContextType;

@Stateful
@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName="EmployeeService",
      type=PersistenceContextType.EXTENDED)
  private EntityManager manager;


  public void doAction() {
    Customer cust = new Customer();

    cust.setFirstName("Joe");
    manager.persist(cust);
    
    System.out.println("Saved");
    
    cust = manager.find(Customer.class,cust.getSsn());
    
    System.out.println(cust.getFirstName());

    cust.setFirstName("new Name");
    
    manager.merge(cust);

    cust = manager.find(Customer.class,cust.getSsn());
    
    System.out.println(cust.getFirstName());
  }
}
